Subject: bug#9774: 24.0.90; interrupting smtpmail

From: emacs user <[email-masked]>
Date: Mon, 17 Oct 2011 09:53:34 +0200

Not exactly a bug, more like a feature request:

When moving from office to home, I need to change my smtp server.  I
sometime forget to do so, attempt to send an email with the wrong
server (using vm), and then I need to wait for smtpmail to fail (long
time) before I can change the server to the right one and retry.  c-g
does not seem to have any effect on emacs while this is going on.  It
seems that it
would be useful to be able to interrupt smtpmail while it's trying to
contact a server by C-g?

In GNU Emacs 24.0.90.3 (x86_64-apple-darwin11.1.0, NS apple-appkit-1138.00)
 of 2011-10-15 on MacBook-Air.local
Windowing system distributor `Apple', version 10.3.1138
configured using `configure  '--with-ns' '--without-x''